# SPIPE_Connector.h File Reference

`#include "ace/SPIPE_Stream.h"`
`#include "ace/os_include/os_fcntl.h"`
`#include "ace/SPIPE_Connector.inl"`

Include dependency graph for SPIPE_Connector.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_SPIPE_Connector
| Defines an active connection factory for <ace_spipe_stream>. On Windows this is mapped to Named Pipes, whereas on UNIX it is mapped to STREAM pipes. More...

## Detailed Description

Id
  SPIPE_Connector.h,v 4.22 2005/10/28 16:14:55 ossama Exp

Author:
  Doug Schmidt <schmidt@cs.wustl.edu>

  Prashant Jain <pjain@cs.wustl.edu>